
Redmine - Feature #2150

Improved Trac migration to allow multiple tracs site to migrated into single redmine site

2008-11-08 16:31 - Robert Shell

Status: New Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Importers Estimated time: 0.00 hour

Target version:    

Resolution:    

Description

Had the case of having to move and combine 4x large trac repositories into a single redmine systems. In this process ended up

enhancing the trac migration a handle wiki text better and allow multiple loads from same source to pick up changes.

Only real hack as needed to keep old trac ticket references visible so added a external_ref field to issues table. Could not use id as

moving

lots of tickets with same id and also needed to repeat a number of times to got sign off to full move.

I have attached the altered rake task

History

#1 - 2008-11-08 16:59 - Karl Heinz Marbaise

Hi Robert,

we should combine our efforts (take a look #2114)

Kind regards

Karl Heinz Marbaise

#2 - 2008-11-10 20:59 - Karl Heinz Marbaise

- Category set to Importers

- Start date deleted (2008-11-08)

#3 - 2008-11-10 21:00 - Karl Heinz Marbaise

- Target version deleted (0.9.0)

Files

migrate_from_trac.rake 31 KB 2008-11-08 Robert Shell

Powered by TCPDF (www.tcpdf.org)

2025-05-02 1/1

https://www.redmine.org/issues/2114
http://www.tcpdf.org

